org.apache.jmeter.protocol.bolt.sampler

## Class AbstractBoltTestElement

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.bolt.sampler.AbstractBoltTestElement

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, TestElement

Direct Known Subclasses:
  BoltSampler

    public abstract class AbstractBoltTestElement
    extends AbstractTestElement

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`AbstractBoltTestElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCypher()`
`String` `getParams()`
`boolean` `isRecordQueryResults()`
`void` `setCypher(String cypher)`
`void` `setParams(String params)`
`void` `setRecordQueryResults(boolean recordQueryResults)`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### AbstractBoltTestElement

    public AbstractBoltTestElement()

### Method Detail

#### getCypher

    public String getCypher()

#### setCypher

    public void setCypher(String cypher)

#### getParams

    public String getParams()

#### setParams

    public void setParams(String params)

#### isRecordQueryResults

    public boolean isRecordQueryResults()

#### setRecordQueryResults

    public void setRecordQueryResults(boolean recordQueryResults)